Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Iterator Class Template Reference

Defines the iterator interface. More...

`#include <Map_T.h>`

Collaboration diagram for ACE_Iterator:

[legend]
List of all members.

## Public Types
typedef T | value_type
typedef ACE_Iterator_Impl< T > | implementation
## Public Methods
| ACE_Iterator (ACE_Iterator_Impl< T > *impl)
| Constructor. More...
| ACE_Iterator (const ACE_Iterator< T > &rhs)
| Copy constructor. More...
| ~ACE_Iterator (void)
| Destructor. More...
ACE_Iterator< T > & | operator= (const ACE_Iterator< T > &rhs)
| Assignment operator. More...
int | operator== (const ACE_Iterator< T > &rhs) const
| Comparison operators. More...
int | operator!= (const ACE_Iterator< T > &rhs) const
T | operator * () const
| Dereference operator. More...
ACE_Iterator< T > & | operator++ (void)
| Prefix advance. More...
ACE_Iterator< T > | operator++ (int)
| Postfix advance. More...
ACE_Iterator< T > & | operator-- (void)
| Prefix reverse. More...
ACE_Iterator< T > | operator-- (int)
| Postfix reverse. More...
ACE_Iterator_Impl< T > & | impl (void)
| Accessor to implementation object. More...
## Protected Attributes
ACE_Iterator_Impl< T > * | implementation_
| Implementation pointer. More...

## Detailed Description

### template<class T>
class ACE_Iterator< T >

Defines the iterator interface.

Implementation to be provided by forwarding.

## Member Typedef Documentation

template<class T>
typedef ACE_Iterator_Impl<T> ACE_Iterator::implementation

template<class T>
typedef T ACE_Iterator::value_type

## Constructor & Destructor Documentation

template<class T>
ACE_INLINE ACE_Iterator< T >::ACE_Iterator | ( | ACE_Iterator_Impl< T > * | impl | ) |

| Constructor.

template<class T>
ACE_INLINE ACE_Iterator< T >::ACE_Iterator | ( | const ACE_Iterator< T > & | rhs | ) |

| Copy constructor.

template<class T>
ACE_INLINE ACE_Iterator< T >::~ACE_Iterator | ( | void |  | ) |

| Destructor.

## Member Function Documentation

template<class T>
ACE_INLINE ACE_Iterator_Impl< T > & ACE_Iterator< T >::impl | ( | void |  | ) |

| Accessor to implementation object.

template<class T>
ACE_INLINE T ACE_Iterator< T >::operator * | ( | void |  | ) | const

| Dereference operator.

template<class T>
ACE_INLINE int ACE_Iterator< T >::operator!= | ( | const ACE_Iterator< T > & | rhs | ) | const

template<class T>
ACE_INLINE ACE_Iterator< T > ACE_Iterator< T >::operator++ | ( | int |  | ) |

| Postfix advance.

template<class T>
ACE_INLINE ACE_Iterator< T > & ACE_Iterator< T >::operator++ | ( | void |  | ) |

| Prefix advance.

template<class T>
ACE_INLINE ACE_Iterator< T > ACE_Iterator< T >::operator-- | ( | int |  | ) |

| Postfix reverse.

template<class T>
ACE_INLINE ACE_Iterator< T > & ACE_Iterator< T >::operator-- | ( | void |  | ) |

| Prefix reverse.

template<class T>
ACE_INLINE ACE_Iterator< T > & ACE_Iterator< T >::operator= | ( | const ACE_Iterator< T > & | rhs | ) |

| Assignment operator.

template<class T>
ACE_INLINE int ACE_Iterator< T >::operator== | ( | const ACE_Iterator< T > & | rhs | ) | const

| Comparison operators.

## Member Data Documentation

template<class T>
ACE_Iterator_Impl<T>* ACE_Iterator::implementation_`[protected]`

| Implementation pointer.

The documentation for this class was generated from the following files:

- Map_T.h
- Map_T.i